libgdamm Reference Documentation

Main Page Namespaces Book

# Gnome::Gda::ServerProvider Class Reference

Inheritance diagram for Gnome::Gda::ServerProvider:

[legend]
List of all members.

## Public Member Functions

const GdaServerProvider* | gobj () const
| Provides access to the underlying C GObject.
GdaServerProvider* | gobj ()
| Provides access to the underlying C GObject.
GdaServerProvider* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
virtual | ~ServerProvider ()

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Gnome::Gda::ServerProvider> | wrap (GdaServerProvider* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gnome::Gda::ServerProvider::~ServerProvider | ( |  | ) | `[virtual]`

## Member Function Documentation

const GdaServerProvider* Gnome::Gda::ServerProvider::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GdaServerProvider* Gnome::Gda::ServerProvider::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GdaServerProvider* Gnome::Gda::ServerProvider::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## Friends And Related Function Documentation

Glib::RefPtr<Gnome::Gda::ServerProvider> wrap | ( | GdaServerProvider * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- serverprovider.h